Bug 982387 - Use xz to compress tarball
Summary: Use xz to compress tarball
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-08 21:30 UTC by Ville Skyttä
Modified: 2013-07-09 10:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-09 10:29:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Ville Skyttä 2013-07-08 21:30:08 UTC
Compressing the tarball with xz would save about 9 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336 and let me know if you'd like me to take care of this for devel.

diff --git a/community-mysql.spec b/community-mysql.spec
index 267cb6b..6b929f7 100644
--- a/community-mysql.spec
+++ b/community-mysql.spec
@@ -20 +20 @@ License: GPLv2 with exceptions and LGPLv2 and BSD
-Source0: mysql-%{version}-nodocs.tar.gz
+Source0: mysql-%{version}-nodocs.tar.xz
diff --git a/generate-tarball.sh b/generate-tarball.sh
index d3e859b..7781f32 100755
--- a/generate-tarball.sh
+++ b/generate-tarball.sh
@@ -12 +12 @@ rm mysql-$VERSION/man/*
-tar cfz mysql-$VERSION-nodocs.tar.gz mysql-$VERSION || exit 1
+tar cfJ mysql-$VERSION-nodocs.tar.xz mysql-$VERSION || exit 1

Comment 1 Honza Horak 2013-07-09 10:29:29 UTC
Thanks for this, done in Rawhide, it will get to F19 with the next update.


Note You need to log in before you can comment on or make changes to this bug.